Bug 248152 - sysutils/moosefs3-master: mfsmaster rc script does not have the BEFORE: mountlate order option
Summary: sysutils/moosefs3-master: mfsmaster rc script does not have the BEFORE: mount...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-21 21:00 UTC by Ronny Forberger
Modified: 2020-08-08 14:31 UTC (History)
3 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
/usr/local/etc/rc.d/mfsmaster patch for mountlate option (315 bytes, patch)
2020-07-21 21:00 UTC, Ronny Forberger
no flags Details | Diff
v1 (854 bytes, patch)
2020-08-05 18:21 UTC, Tobias C. Berner
tcberner: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronny Forberger 2020-07-21 21:00:26 UTC
Created attachment 216642 [details]
/usr/local/etc/rc.d/mfsmaster patch for mountlate option

When running mfsmaster (moosefs3-master-3.X.XXX package) it does not comply with the BEFORE: mountlate option.

This results in the mountlate rc script to start earlier than the mfsmaster service, which then results in no possible mount from the mfsmaster.

I have added a patch in the attachment to mitigate this.

Please check.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-07-21 21:42:19 UTC
^Triage: fix Summary.

To submitter: please help us out by prefixing the Summary with an actual category/portname.  This will allow the auto-notifier to run and save some time overall.
Comment 2 Piotr Robert Konopelko (MooseFS) 2020-07-28 18:31:30 UTC
(In reply to Ronny Forberger from comment #0)

Approved, thank you.

Best regards,
Piotr / MooseFS Team
Comment 3 Tobias C. Berner freebsd_committer 2020-08-05 18:21:11 UTC
Created attachment 217034 [details]
v1

Moin moin 

The attached patch is not against the ports tree :) 

Please give the attached one a go.


mfg Tobias
Comment 4 MooseFS FreeBSD Team 2020-08-05 18:24:46 UTC
Comment on attachment 217034 [details]
v1

Not able to approve it by selecting "+", so approved via comment.
Thanks,
Piotr / MooseFS Team
Comment 5 commit-hook freebsd_committer 2020-08-08 08:43:41 UTC
A commit references this bug:

Author: tcberner
Date: Sat Aug  8 08:43:18 UTC 2020
New revision: 544371
URL: https://svnweb.freebsd.org/changeset/ports/544371

Log:
  sysutils/moosefs3-master: mfsmaster rc, add BEFORE: mountlate

  PR:		248152
  Submitted by:	Ronny Forberger <ronnyforberger@ronnyforberger.de>
  Approved by:	Piotr Robert Konopelko (MooseFS) <piotr.konopelko@moosefs.pro>

Changes:
  head/sysutils/moosefs3-master/Makefile
  head/sysutils/moosefs3-master/files/mfsmaster.in
Comment 6 Tobias C. Berner freebsd_committer 2020-08-08 08:45:57 UTC
Committed. Thanks.
Comment 7 Ronny Forberger 2020-08-08 10:39:53 UTC
Thanks for committing it.

I think there is no further testing necessary, since I tested it and it's a minor change.

Best regards,
rforberger
Comment 8 Piotr Robert Konopelko (MooseFS) 2020-08-08 14:31:25 UTC
Thanks, Tobias!
Piotr